> ## Documentation Index
> Fetch the complete documentation index at: https://brightdata-ipv6-release.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Receive data from real-time work scraper

**API endpoint:** `GET` `/dca/get_result?response_id={ID_RESPONSE}`

<ParamField query="response_id" type="string" required>
  A unique identification of response
</ParamField>

<ParamField header="Authorization" type="string" required>
  Authorization Bearer Key `-H "Authorization: Bearer API_TOKEN"`
</ParamField>

<ResponseExample>
  ```json Sample (old scrapers) theme={null}
  {
      "input": {
          "url": "https://targetwebsite.com/product_id/"
      },
      "line_1": "Lorem ipsum dolor sit amet",  
      "line_2": "consectetur adipisicing elit"
  }
  ```

  ```json Sample (new scrapers) theme={null}
  [  
   "line_1": "Lorem ipsum dolor sit amet",  
   "line_2": "consectetur adipisicing elit"  
  ]
  ```
</ResponseExample>

<RequestExample>
  ```sh Shell theme={null}
  curl "https://api.brightdata.com/dca/get_result?response_id=ID_RESPONSE" -H "Authorization: Bearer API_TOKEN"
  ```

  ```js NodeJS theme={null}
  #!/usr/bin/env node
  require('request-promise')({
   url: 'https://api.brightdata.com/dca/get_result?response_id=ID_RESPONSE',
   headers: {'Authorization':'Bearer API_TOKEN'},
  }).then(function(data){ console.log(data); },
   function(err){ console.error(err); });
  ```

  ```java Java theme={null}
  package example;
  import org.apache.http.HttpHost;
  import org.apache.http.client.fluent.\*;
  public class Example {
   public static void main(String[] args) throws Exception {
   String res = Executor.newInstance()  
   .addHeader("Authorization", "Bearer API_TOKEN")  
   .execute(Request.Get("https://api.brightdata.com/dca/get_result?response_id=ID_RESPONSE"))  
   .returnContent().asString();  
   System.out.println(res)
   }  
  }
  ```

  ```cs C# theme={null}
  using System;
  using System.Net;
  using System.Net.Http;
  using System.Net.Http.Headers;
  public class Program {
   public static async Task Main() {
   var client = new HttpClient();
   var requestMessage = new HttpRequestMessage {
   Method = HttpMethod.Get,  
   RequestUri = new Uri("https://api.brightdata.com/dca/get_result?response_id=ID_RESPONSE"),
   Headers = {
   {"Authorization", "Bearer API_TOKEN"}
   }
   };
   var response = await client.SendAsync(requestMessage);
   var responseString = await response.Content.ReadAsStringAsync();
   Console.WriteLine(responseString);
   }
  }
  ```

  ```python Python theme={null}
  #!/usr/bin/env python
  print('If you get error "ImportError: No module named requests", please install it:\n$ sudo pip install requests');
  import requests
  headers = {'Authorization': 'Bearer API_TOKEN'}
  r = requests.get('https://api.brightdata.com/dca/get_result?response_id=ID_RESPONSE', headers=headers)
  print(r.content)
  ```
</RequestExample>
